
var db = initialize();
var max_search_rec = 1000;
function getDatabase() {
     return openDatabaseSync("AmzTH", "1.0", "AmzTHDB", 100000);
}

// At the start of the application, we can initialize the tables we need if they haven't been created yet
function initialize() {
    var db = getDatabase();
    db.transaction(
        function(tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS search_key( id  INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL ,search_key VARCHAR NOT NULL  UNIQUE , search_date DATETIME NOT NULL  DEFAULT CURRENT_TIMESTAMP)');
          });
    db.transaction(
        function(tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS version( version VARCHAR NOT NULL  UNIQUE)');
          });
    db.transaction(
        function(tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS setting( data VARCHAR NOT NULL  UNIQUE)');
          });
    //db.transaction(
    //    function(tx) {
    //                tx.executeSql("drop table bookDestinations;")
    //               })
    //db.transaction(
    //    function(tx) {
    //                tx.executeSql("drop table bookEvents;")
    //               })
    db.transaction(
        function(tx) {
                    tx.executeSql("CREATE TABLE IF NOT EXISTS bookDestinations(" +
                          "id  INTEGER PRIMARY KEY  AUTOINCREMENT NOT NULL,"+
                          "desId VARCHAR, "+
                          "desName VARCHAR, "+
                          "destType VARCHAR, "+
                          "placeId INTEGER, "+
                          "name VARCHAR, "+
                          "subheader TEXT, "+
                          "detail TEXT, "+
                          "email VARCHAR , "+
                          "fax VARCHAR , "+
                          "www VARCHAR, "+
                          "thumbnail VARCHAR, "+
                          "picture VARCHAR, "+
                          "start_time VARCHAR, "+
                          "end_time VARCHAR, "+
                          "lat VARCHAR, "+
                          "lng VARCHAR, "+
                          "phone VARCHAR, "+
                          "address VARCHAR"+
                        ")");
                    //tx.executeSql("insert into bookDestinations values(NULL, '201','201','wheretogo','201','tesssttt','201','201','201','201','201','201','201','201','201','201','201','201','201')");
          });
    db.transaction(
        function(tx) {
                    tx.executeSql("CREATE TABLE IF NOT EXISTS bookEvents(" +
                          "id INTEGER PRIMARY KEY  AUTOINCREMENT NOT NULL,"+
                          "eventId VARCHAR, "+
                          "eventCat VARCHAR, "+
                          "name VARCHAR, "+
                          "date INTEGER, "+
                          "place VARCHAR, "+
                          "province TEXT, "+
                          "what VARCHAR, "+
                          "whereEvent VARCHAR, "+
                          "contact VARCHAR, "+
                          "thumb VARCHAR, "+
                          "fullimg VARCHAR, "+
                          "lat VARCHAR, "+
                          "lng VARCHAR, "+
                          "url VARCHAR,"+
                          "link VARCHAR"+
                        ")");
                    //tx.executeSql("insert into bookEvents values(NULL,'202','202','nameee','202','202','202','202','202','202','http://wikalenda.com/images/business_kalenda_image/thumb/Tak-Bat-Thewo-Festival-204947.jpeg','202','202','202','202')");
          });

    //



    return db
}
//end DBService SearchKey
function deleteOldSearchKey(){
    console.log("deleteOldSearchKey ")
    var sqlDelete = "DELETE From search_key where search_date <= (select search_date From search_key order by search_date desc limit "+max_search_rec+","+max_search_rec+")"
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlDelete);
            }
    );

}

function saveSearchKey(searchKey) {
    var sqlSelectExist = 'SELECT id FROM search_key where search_key = ?'
    var sqlInsert = "INSERT INTO search_key(search_key) VALUES(?)";
    var sqlUpd = "UPDATE search_key SET search_date = CURRENT_TIMESTAMP where search_key = ?";
    var sqlSel = "select * from  search_key ";
    if(searchKey == null) return;
    var data = [searchKey];
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSelectExist, data);
                    var exist = rs.rows.length > 0;
                    if(exist){
                        tx.executeSql(sqlUpd, data);
                    }else{
                        tx.executeSql(sqlInsert, data);
                    }/*
                    rs = tx.executeSql(sqlSel);
                    for(var i = 0; i < rs.rows.length; i++){
                        console.log("id : "+ rs.rows.item(i).id+" , key : "+rs.rows.item(i).search_key+" ,search_date :"+rs.rows.item(i).search_date)
                    }*/
            }
    );
}


function getGuideSearchKey(searchKey) {
    var sqlSel = "SELECT * FROM search_key where search_key like ? and search_key <> ? order by search_date desc limit 10 ;"
    var data = ["%"+searchKey+"%",searchKey];
    var results = null;
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSel,data);
                    console.log("searchKey :"+searchKey+",result : = "+rs.rows.length);
                    //for(var i = 0; i < rs.rows.length; i++){
                    //   console.log("id : "+ rs.rows.item(i).id+" , key : "+rs.rows.item(i).search_key+" ,search_date :"+rs.rows.item(i).search_date)
                    //}
                    results =rs.rows;
            }
    );

    return results;
}

function getBookmark() {
    var sqlSel = "SELECT * FROM bookDestinations;";
    var results = null;
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSel);
                    console.log("selectBoomMark result : = "+rs.rows.length);
                    for(var i = 0; i < rs.rows.length; i++){
                       console.log("id : "+ rs.rows.item(i).id+" , contentid : "+rs.rows.item(i).placeId)
                    }
                    results =rs.rows;
            }
    );
    return results;
}

function getEvent() {
    var sqlSel = "SELECT * FROM bookEvents;";
    var results = null;
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSel);
                    console.log("selectBoomMark result : = "+rs.rows.length);
                    for(var i = 0; i < rs.rows.length; i++){
                       console.log("id : "+ rs.rows.item(i).id+" , contentid : "+rs.rows.item(i).eventId)
                    }
                    results =rs.rows;
            }
    );
    return results;
}
function saveBookDestinations(desId,desName,destType ,placeId,name,subheader,detail,email,fax,www,thumbnail,picture,start_time,end_time,lat,lng,phone,address) {
    var sqlSelectExist = 'SELECT id FROM bookDestinations where placeId = ?';
    var sqlInsert = "INSERT INTO bookDestinations values(NULL,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
    var dataDesId =[desId];
    var data = [desId,desName,destType ,placeId,name,subheader,detail,"email","fax",www,thumbnail,picture,start_time,end_time,lat,lng,phone,address];
    var results = null;

    db.transaction(
        function(tx) {
                    //tx.executeSql(sqlDelete)

                    var rs = tx.executeSql(sqlSelectExist, dataDesId);
                    var exist = rs.rows.length > 0;
                    if(exist){
                        //tx.executeSql(sqlUpd, data);
                        results = false;
                    }else{
                        tx.executeSql(sqlInsert, data);
                        results = true
                    }
            }
    );
    return results;
}
function saveBookEvent(eventId,eventCat,name,date,place,province,what,whereEvent,contact,thumb,fullimg,lat,lng,url,link) {
    var sqlSelectExist = 'SELECT id FROM bookEvents where eventId = ?';
    var sqlInsert = "INSERT INTO bookEvents values(NULL,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

    //var sqlUpd = "UPDATE login SET save_date = CURRENT_TIMESTAMP,scode = ? where usrid = ?";
    //var sqlDelete = "DELETE From login"
    //var sqlSel = "select * from  login ";
    var dataEvent = [eventId];
    var data = [eventId,eventCat,name,date,place,province,what,whereEvent,contact,thumb,fullimg,lat,lng,url,link];
    var results = null;
    db.transaction(
        function(tx) {
                    //tx.executeSql(sqlDelete)

                    var rs = tx.executeSql(sqlSelectExist, dataEvent);
                    var exist = rs.rows.length > 0;
                    if(exist){
                        //tx.executeSql(sqlUpd, data);
                        results = false
                    }else{
                        tx.executeSql(sqlInsert, data);
                        results = true
                    }

                    //rs = tx.executeSql(sqlSel);
                    //for(var i = 0; i < rs.rows.length; i++){
                    //    console.log("id : "+ rs.rows.item(i).id+" , key : "+rs.rows.item(i).search_key+" ,search_date :"+rs.rows.item(i).search_date)
                    //}
            }
    );
    return results;
}

function chkBookmark(id,dbName) {
    var sqlSelectExist;
    if(dbName=="bookDestinations"){
        sqlSelectExist = 'SELECT id FROM bookDestinations where placeId = ?';
    }else{
        sqlSelectExist = 'SELECT id FROM bookEvents where eventId = ?';

    }
    var data = [id];
    var exist = null;
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSelectExist, data);
                    exist = rs.rows.length > 0;
            }
    );
    return exist;
}

function delBookmark(id,dbName) {
    var sqlDelete;
    var sqlSelectExist;
     if(dbName=="bookDestinations"){
        sqlDelete = "DELETE From bookDestinations where placeId = ?";
        sqlSelectExist = 'SELECT id FROM bookDestinations where placeId = ?';
     }else{
        sqlDelete = "DELETE From bookEvents where eventId = ?";
        sqlSelectExist = 'SELECT id FROM bookEvents where eventId = ?';
     }
    var data = [id];
    var exist = null;

    db.transaction(
        function(tx) {
                    tx.executeSql(sqlDelete,data)
                    var rs = tx.executeSql(sqlSelectExist, data);
                    exist = rs.rows.length > 0;
            }
    );
    return exist;
}
function saveSetting(setting) {
    var sqlDelete = "DELETE From setting"
    var sqlInsert = 'INSERT INTO setting values(?)';


    var data = [setting];
    var exist = null;
    db.transaction(
        function(tx) {
                    tx.executeSql(sqlDelete)
                    var rs = tx.executeSql(sqlInsert, data);
            }
    );
}

function readSetting() {
    var sqlSelectExist = 'SELECT * FROM setting';

    var exist = null;
    db.transaction(
        function(tx) {
                    var rs =  tx.executeSql(sqlSelectExist)
                    exist =  rs.rows.item(i).data
            }
    );
    return exist;
}

/*
function savelogin(userid,scode) {
    var sqlSelectExist = 'SELECT id FROM login where usrid = ? AND (scode = ? || 1=1)'
    var sqlInsert = "INSERT INTO login(usrid,scode) VALUES(?,?)";
    var sqlUpd = "UPDATE login SET save_date = CURRENT_TIMESTAMP,scode = ? where usrid = ?";
    var sqlDelete = "DELETE From login"
    var sqlSel = "select * from  login ";
    var data = [userid,scode];
    db.transaction(
        function(tx) {
                    tx.executeSql(sqlDelete)

                    var rs = tx.executeSql(sqlSelectExist, data);
                    var exist = rs.rows.length > 0;
                    if(exist){
                        tx.executeSql(sqlUpd, data);
                    }else{
                        tx.executeSql(sqlInsert, data);
                    }

                    //rs = tx.executeSql(sqlSel);
                    //for(var i = 0; i < rs.rows.length; i++){
                    //    console.log("id : "+ rs.rows.item(i).id+" , key : "+rs.rows.item(i).search_key+" ,search_date :"+rs.rows.item(i).search_date)
                    //}
            }
    );
}
function dellogin() {
    var sqlDelete = "DELETE From login"
    db.transaction(
        function(tx) {
                    tx.executeSql(sqlDelete)
            }
    );
}
function getlogin() {
    var sqlSel = "SELECT * FROM login order by save_date desc limit 1 ;"
    var results = null;
    deleteOldSearchKey();
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSel);
                    console.log("getlogin result : = "+rs.rows.length);
                    for(var i = 0; i < rs.rows.length; i++){
                       console.log("id : "+ rs.rows.item(i).id+" , usrid : "+rs.rows.item(i).usrid)
                    }
                    results =rs.rows;
            }
    );
    return results;
}

function saveLayout(iconId, iconPart, gridId) {
    var text;
    db.transaction(
        function(tx) {
            var data = [iconId,iconPart, gridId]
            tx.executeSql('INSERT INTO MenuLayout VALUES(?, ?, ?)', data);
        }
    )
}
function clearMenuLayout() {
    var text;
    db.transaction(
        function(tx) {
                    tx.executeSql('DELETE FROM MenuLayout');
                    console.debug("DELETE MenuLayout");

        }
    )
    return text;
}

function getPreVersion(){
    var sqlSel = "SELECT version FROM version order by version desc limit 1 ;"
    var results = null;
    deleteOldSearchKey();
    var version = 0.0;
    db.transaction(
        function(tx) {
                    var rs = tx.executeSql(sqlSel);
                    console.log("getlogin result : = "+rs.rows.length);
                    for(var i = 0; i < rs.rows.length; i++){
                       console.log("version : "+ rs.rows.item(i).version);
                        version = rs.rows.item(i).version;
                    }
                    results =rs.rows;
            }
    );
    return version;
}*/
