import QtQuick 1.0
import "../kits"

Rectangle {
    id: destinationAboutDetail
    width: 480
    height: 577
    clip: true
    property bool loading: true;
    property int desId;
    property string destinationName;
    property string icon;
    property string menu;
    property double lat;
    property double lng;
    property int start: init();
    property string dataOK;
    function init(){
        var url = "http://amazingthailand.23perspective.com/whereFeed.php?cat=aboutdestination&desid="+desId+"&page=1"
        var x = new XMLHttpRequest;
        destinationAboutDetail.loading=true;
        x.open("POST", url, true);
        x.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
        x.onreadystatechange = function() {
            if (x.readyState == XMLHttpRequest.DONE) {
                dataOK = x.responseText;
                destinationAboutDetailXML.xml = dataOK
                destinationAboutDetailPhotoXML.xml = dataOK
                //console.log("init(api/brand/branch) + "+dataOK);
                destinationAboutDetail.loading=false;
             }
        }
        x.send();
        return 1;
    }

    //http://amazingthailand.23perspective.com/whereFeed.php?cat=aboutdestination&desid=219&page=1
    XmlListModel {
        id: destinationAboutDetailXML
        xml: ""
        query: "/Where/item"
        XmlRole {name: "desc"; query: "desc/string()"}
        onStatusChanged: {
            if(status==XmlListModel.Ready){
                if(count>0){
                    //console.log("desc: "+destinationAboutDetailXML.get(0).desc)
                    //desDetail = destinationAboutDetailXML.get(0).desc;
                    descTXT.text = destinationAboutDetailXML.get(0).desc;
                }
            }
        }
    }
    XmlListModel {
        id: destinationAboutDetailPhotoXML
        xml: ""
        query: "/Where/item/pictures/picture"
        XmlRole {name: "picture"; query: "string()"}

        onStatusChanged: {
            if(status==XmlListModel.Ready){
                console.log("status=="+XmlListModel.Ready)
                if(count>0){
                    console.log("picture b: "+destinationAboutDetailPhotoXML.get(0).picture)
                    //desPicture = destinationAboutDetailPhotoXML.get(0).picture;
                    desPic.source = "http://amazingthailand.23perspective.com/"+destinationAboutDetailPhotoXML.get(0).picture;
                }
            }
        }

    }




Rectangle{
    id: aboutDetail
    x: 0
    y: 0
    width: parent.width
    height: parent.height
    clip: true
    color: "#00000000"
    Image {
        id: image1
        x: 0
        y: 0
        width: 480
        height: 651
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        clip: false
        Image {
            id: image2
            x: 0
            y: 0
            width: parent.width
            height: parent.height
            anchors.top: parent.top
            anchors.topMargin: 0
            Image {
                id: image4
                x: 47
                y: 214
                width: 389
                height: 337
                anchors.horizontalCenter: parent.horizontalCenter
                source: "../resource/destination/plane.png"
                anchors.verticalCenter: parent.verticalCenter
            }
            source: "../resource/destination/bg-blue.png"
        }
        source: "../resource/home/main-bg.png"
    }
    Image {
        id: image5
        x: 0
        width: 480
        height: 69
        Image {
            id: aboutIcon
            x: 15
            y: 10
            width: 39
            height: 39
            anchors.verticalCenter: parent.verticalCenter
            source: icon
        }
        source: "../resource/destination/item.png"
        Text {
            id: aboutTitle
            text: menu
            font.pointSize: 17
            font.bold: true
            anchors.verticalCenter: aboutIcon.verticalCenter
            font.family: "MS Sans Serif"
            anchors.leftMargin: 15
            anchors.left: aboutIcon.right
        }

        MouseArea{
            anchors.fill: parent
            onClicked: console.log("no action")
        }

    }

    Rectangle {
        id: rectangle1
        x: 0
        width: 480
        height: 508
        color: "#00000000"
        anchors.top: image5.bottom
        anchors.topMargin: 0
        Scrollable {
            id: scrollable1
            color: "#00000000"
            Image {
                id: desPic
                width: 440
                anchors.top: parent.top
                anchors.topMargin: 20
                source: ""
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
                fillMode: Image.PreserveAspectFit
            }

            Rectangle {
                id: line1
                height: 1
                anchors.top: desPic.bottom
                anchors.topMargin: 20
                border.color: "#a9a9a9"
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Text {
                id: aboutHead
                width: 440
                text: "About "+destinationName
                font.bold: true
                font.pointSize: 16
                anchors.top: line1.bottom
                anchors.topMargin: 5
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                font.family: "MS Sans Serif"
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Rectangle {
                id: line2
                height: 1
                anchors.top: aboutHead.bottom
                anchors.topMargin: 5
                border.color: "#a9a9a9"
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Text {
                id: descTXT
                width: 440
                text: ""
                font.pointSize: 12
                anchors.top: line2.bottom
                anchors.topMargin: 5
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                font.family: "MS Sans Serif"
                anchors.leftMargin: 20
                anchors.left: parent.left
            }
            scrollbarWidth: 3
            anchors.fill: parent
            contentWidth: 480
            hideScrollBarsWhenStopped: true
            contentHeight: desPic.height+descTXT.height+100
            flickableDirection: Flickable.VerticalFlick
            clip: true
        }
    }
}

    BusyIndicator {
        id: ajaxLoad
        x: 220
        y: 269
        on: destinationAboutDetail.loading
        scale: 0.6
    }

    states: [
             State {
                 name: "FADEIN"
                 PropertyChanges { target: aboutDetail; x: 0; y: 0; color: "#000000"}
                 PropertyChanges { target: ajaxLoad; x: 220; y: 269 }

                 PropertyChanges {
                     target: destinationAboutDetail
                     color: "#00000000"
                 }

                 PropertyChanges {
                     target: aboutHead
                     font.pixelSize: 22
                 }

                 PropertyChanges {
                     target: descTXT
                     font.pixelSize: 20
                 }
             },
             State {
                 name: "FADEOUT"
                 PropertyChanges { target: aboutDetail; x: 480; y: 0; }
                 PropertyChanges { target: ajaxLoad; x: 480; y: 197 }

                 PropertyChanges {
                     target: destinationAboutDetail
                     color: "#00000000"
                 }
             }
         ]
    transitions: [
             Transition {
                 NumberAnimation { properties: "x,y,opacity"; duration: 200; easing.type: Easing.InOutQuad}
             }
         ]
}
