import QtQuick 1.0
import "../kits"

Rectangle {
    id: destinationHowToGoDetail
    width: 480
    height: 577
    //http://amazingthailand.23perspective.com/whereFeed.php?cat=howtogo&desid=" +  QString::number(id)+  "&pages=1
    clip: true
    property bool loading : destinationHowToGoXML.status ==XmlListModel.Loading;
    property int desId;
    property string destinationName;
    property string icon;
    property string menu;
    property double lat;
    property double lng;
    XmlListModel {
        id: destinationHowToGoXML
        source: "http://amazingthailand.23perspective.com/whereFeed.php?cat=howtogo&desid="+desId+"&pages=1"
        query: "/Where/item"
        XmlRole {name: "byTrain"; query: "byTrain/string()"}
        XmlRole {name: "byCar"; query: "byCar/string()"}
        XmlRole {name: "byBus"; query: "byBus/string()"}
        XmlRole {name: "byAir"; query: "byAir/string()"}
        XmlRole {name: "byOther"; query: "byOther/string()"}
        XmlRole {name: "gettingAround"; query: "gettingAround/string()"}


        onStatusChanged: {
            if(status==XmlListModel.Ready){
                if(count>0){
                    if(destinationHowToGoXML.get(0).byTrain!=""){
                        byTrainTXT.text = destinationHowToGoXML.get(0).byTrain
                        trainObj.visible = true;
                    }
                    if(destinationHowToGoXML.get(0).byCar!=""){
                        byCarTXT.text = destinationHowToGoXML.get(0).byCar
                        carObj.visible = true;
                    }
                    if(destinationHowToGoXML.get(0).byBus!=""){
                        byBusTXT.text = destinationHowToGoXML.get(0).byBus
                        busObj.visible = true;
                    }
                    if(destinationHowToGoXML.get(0).byAir!=""){
                        byAirTXT.text = destinationHowToGoXML.get(0).byAir
                        airObj.visible = true;
                    }
                    if(destinationHowToGoXML.get(0).byOther!=""){
                        byOtherTXT.text = destinationHowToGoXML.get(0).byOther
                        otherObj.visible = true;
                    }
                    if(destinationHowToGoXML.get(0).gettingAround!=""){
                        byGettingTXT.text = destinationHowToGoXML.get(0).gettingAround
                        gettingObj.visible = true;
                    }

                }
            }
        }
    }
    Rectangle {
        id: destinationMenu
        width: 480
        height: 754
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        clip: true
        color: "#00000000"
        Image {
            id: image1
            x: 0
            y: 0
            width: parent.width
            height: parent.height
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            clip: false
            Image {
                id: image2
                x: 0
                y: 0
                width: parent.width
                height: parent.height
                anchors.top: parent.top
                anchors.topMargin: 0
                Image {
                    id: image4
                    x: 47
                    y: 214
                    width: 389
                    height: 337
                    anchors.horizontalCenter: parent.horizontalCenter
                    source: "../resource/destination/plane.png"
                    anchors.verticalCenter: parent.verticalCenter
                }
                source: "../resource/destination/bg-blue.png"
            }
            source: "../resource/home/main-bg.png"
        }

        Image {
            id: image5
            x: 0
            y: 176
            width: 480
            height: 69

            Image {
                id: aboutIcon
                x: 15
                y: 10
                width: 39
                height: 39
                anchors.verticalCenter: parent.verticalCenter
                source: icon
            }

            Text {
                id: aboutTitle
                text: menu
                font.pointSize: 17
                font.bold: true
                anchors.verticalCenter: aboutIcon.verticalCenter
                font.family: "MS Sans Serif"
                anchors.leftMargin: 15
                anchors.left: aboutIcon.right
            }
            source: "../resource/destination/item.png"
            MouseArea{
                anchors.fill: parent
                onClicked: console.log("no action")
            }
        }

        Rectangle {
            id: rectangle1
            x: 0
            width: 480
            height: 509
            color: "#00000000"
            anchors.top: image5.bottom
            anchors.topMargin: 0

            Scrollable {
                id: scrollable1
                x: 0
                y: 0
                color: "#00000000"
                anchors.rightMargin: 0
                anchors.bottomMargin: 0
                anchors.leftMargin: 0
                anchors.topMargin: 0
                anchors.fill: parent
                scrollbarWidth: 3
                contentWidth: 480
                contentHeight: trainObj.height+carObj.height+busObj.height+airObj.height+otherObj.height+gettingObj.height+100
                flickableDirection: Flickable.VerticalFlick
                hideScrollBarsWhenStopped: true
                Rectangle{
                    id: trainObj
                    x: 0
                    width: 480
                    anchors.top: parent.top
                    anchors.topMargin: 0
                    height: (trainObj.visible)?lineTrain1.height+lineTrain2.height+iconMiniTrain.height+byTrainTXT.height+30:0
                    visible: false
                    color: "#00000000"

                    Rectangle{
                        id: lineTrain1
                        height: 1
                        border.color: "darkgray"
                        anchors.top: parent.top
                        anchors.topMargin: 20
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20

                    }

                    Image {
                        id: iconMiniTrain
                        x: 20
                        width: 20
                        height: 20
                        sourceSize.height: 16
                        sourceSize.width: 16
                        anchors.top: lineTrain1.bottom
                        anchors.topMargin: 5
                        source: "../resource/destination/howtogo/by_train.png"
                    }

                    Text {
                        id: trainHead
                        anchors.left: iconMiniTrain.right
                        anchors.leftMargin: 10
                        anchors.verticalCenter: iconMiniTrain.verticalCenter
                        width: 440
                        text: "By Train"
                        font.pointSize: 16
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                    }
                    Rectangle{
                        id: lineTrain2
                        height: 1
                        border.color: "darkgray"
                        anchors.top: iconMiniTrain.bottom
                        anchors.topMargin: 5
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                    }
                    Text {
                        id: byTrainTXT
                        text: ""
                        width: 440
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                        anchors.top: lineTrain2.bottom
                        anchors.topMargin: 5
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                }
                Rectangle{
                    id: carObj
                    anchors.top: trainObj.bottom
                    anchors.topMargin: 0
                    x: 0
                    width: 480
                    color: "#00000000"
                    height: (carObj.visible)?line1.height+line2.height+iconMiniCar.height+byCarTXT.height+30:0
                    visible: false
                    Rectangle{
                        id: line1
                        height: 1
                        border.color: "darkgray"
                        anchors.top: parent.top
                        anchors.topMargin: 20
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20

                    }

                    Image {
                        id: iconMiniCar
                        x: 20
                        width: 20
                        height: 20
                        anchors.top: line1.bottom
                        anchors.topMargin: 5
                        source: "../resource/destination/howtogo/by_car.png"
                    }

                    Text {
                        id: carHead
                        anchors.left: iconMiniCar.right
                        anchors.leftMargin: 10
                        anchors.verticalCenter: iconMiniCar.verticalCenter
                        width: 440
                        text: "By Car"
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                    Rectangle{
                        id: line2
                        height: 1
                        border.color: "darkgray"
                        anchors.top: iconMiniCar.bottom
                        anchors.topMargin: 5
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                    }
                    Text {
                        id: byCarTXT
                        text: ""
                        width: 440
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                        anchors.top: line2.bottom
                        anchors.topMargin: 5
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                }
                Rectangle{
                    id: busObj
                    anchors.top: carObj.bottom
                    anchors.topMargin: 0
                    x: 0
                    width: 480
                    color: "#00000000"
                    height: (busObj.visible)?line1.height+line2.height+iconMiniBus.height+byBusTXT.height+30:0
                    visible: false
                    Rectangle{
                        id: lineBus1
                        height: 1
                        border.color: "darkgray"
                        anchors.top: parent.top
                        anchors.topMargin: 20
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20

                    }

                    Image {
                        id: iconMiniBus
                        x: 20
                        width: 20
                        height: 20
                        anchors.top: lineBus1.bottom
                        anchors.topMargin: 5
                        source: "../resource/destination/howtogo/by_bus.png"
                    }

                    Text {
                        id: busHead
                        anchors.left: iconMiniBus.right
                        anchors.leftMargin: 10
                        anchors.verticalCenter: iconMiniBus.verticalCenter
                        width: 440
                        text: "By Bus"
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                    Rectangle{
                        id: lineBus2
                        height: 1
                        border.color: "darkgray"
                        anchors.top: iconMiniBus.bottom
                        anchors.topMargin: 5
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                    }
                    Text {
                        id: byBusTXT
                        text: ""
                        width: 440
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                        anchors.top: lineBus2.bottom
                        anchors.topMargin: 5
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                }
                Rectangle{
                    id: airObj
                    anchors.top: busObj.bottom
                    anchors.topMargin: 0
                    x: 0
                    width: 480
                    color: "#00000000"
                    height: (airObj.visible)?line1.height+line2.height+iconMiniAir.height+byAirTXT.height+30:0
                    visible: false
                    Rectangle{
                        id: lineAir1
                        height: 1
                        border.color: "darkgray"
                        anchors.top: parent.top
                        anchors.topMargin: 20
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20

                    }

                    Image {
                        id: iconMiniAir
                        x: 20
                        width: 20
                        height: 20
                        anchors.top: lineAir1.bottom
                        anchors.topMargin: 5
                        source: "../resource/destination/howtogo/by_air.png"
                    }

                    Text {
                        id: airHead
                        anchors.left: iconMiniAir.right
                        anchors.leftMargin: 10
                        anchors.verticalCenter: iconMiniAir.verticalCenter
                        width: 440
                        text: "By Air"
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                    Rectangle{
                        id: lineAir2
                        height: 1
                        border.color: "darkgray"
                        anchors.top: iconMiniAir.bottom
                        anchors.topMargin: 5
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                    }
                    Text {
                        id: byAirTXT
                        text: ""
                        width: 440
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                        anchors.top: lineAir2.bottom
                        anchors.topMargin: 5
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                }
                Rectangle{
                    id: otherObj
                    anchors.top: airObj.bottom
                    anchors.topMargin: 0
                    x: 0
                    width: 480
                    color: "#00000000"
                    height: (otherObj.visible)?line1.height+line2.height+iconMiniOther.height+byOtherTXT.height+30:0
                    visible: false
                    Rectangle{
                        id: lineOther1
                        height: 1
                        border.color: "darkgray"
                        anchors.top: parent.top
                        anchors.topMargin: 20
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20

                    }

                    Image {
                        id: iconMiniOther
                        x: 20
                        width: 20
                        height: 20
                        anchors.top: lineOther1.bottom
                        anchors.topMargin: 5
                        source: "../resource/destination/howtogo/by_other.png"
                    }

                    Text {
                        id: otherHead
                        anchors.left: iconMiniOther.right
                        anchors.leftMargin: 10
                        anchors.verticalCenter: iconMiniOther.verticalCenter
                        width: 440
                        text: "By Other"
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                    Rectangle{
                        id: lineOther2
                        height: 1
                        border.color: "darkgray"
                        anchors.top: iconMiniOther.bottom
                        anchors.topMargin: 5
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                    }
                    Text {
                        id: byOtherTXT
                        text: ""
                        width: 440
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                        anchors.top: lineOther2.bottom
                        anchors.topMargin: 5
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                }
                Rectangle{
                    id: gettingObj
                    anchors.top: otherObj.bottom
                    anchors.topMargin: 0
                    x: 0
                    width: 480
                    color: "#00000000"
                    height: (gettingObj.visible)? line1.height+line2.height+iconMiniGetting.height+byGettingTXT.height+30:0
                    visible: false
                    Rectangle{
                        id: lineGetting1
                        height: 1
                        border.color: "darkgray"
                        anchors.top: parent.top
                        anchors.topMargin: 20
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20

                    }

                    Image {
                        id: iconMiniGetting
                        x: 20
                        width: 20
                        height: 20
                        anchors.top: lineGetting1.bottom
                        anchors.topMargin: 5
                        source: "../resource/destination/howtogo/getting_arround.png"
                    }

                    Text {
                        id: gettingHead
                        anchors.left: iconMiniGetting.right
                        anchors.leftMargin: 10
                        anchors.verticalCenter: iconMiniGetting.verticalCenter
                        width: 440
                        text: "Getting Around"
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                    Rectangle{
                        id: lineGetting2
                        height: 1
                        border.color: "darkgray"
                        anchors.top: iconMiniGetting.bottom
                        anchors.topMargin: 5
                        anchors.right: parent.right
                        anchors.rightMargin: 20
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                    }
                    Text {
                        id: byGettingTXT
                        text: ""
                        width: 440
                        anchors.left: parent.left
                        anchors.leftMargin: 20
                        anchors.top: lineGetting2.bottom
                        anchors.topMargin: 5
                        font.family: "MS Sans Serif"
                        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                        font.pointSize: 16
                    }
                }



            }
        }
    }


    BusyIndicator {
        id: ajaxLoad
        x: 220
        y: 269
        scale: 0.6
        on: destinationHowToGoDetail.loading
    }
    states: [
             State {
                 name: "FADEIN"
                 PropertyChanges { target: destinationMenu; x: 0; y: 132; color: "#000000"}
                 PropertyChanges { target: ajaxLoad; x: 220; y: 269 }

                 PropertyChanges {
                     target: destinationHowToGoDetail
                     color: "#00000000"
                 }
             },
             State {
                 name: "FADEOUT"
                 PropertyChanges { target: destinationMenu; x: 480; y: 132; }
                 PropertyChanges { target: ajaxLoad; x: 480; y: 197 }

                 PropertyChanges {
                     target: destinationHowToGoDetail
                     color: "#00000000"
                 }
             }
         ]
    transitions: [
             Transition {
                 NumberAnimation { properties: "x,y,opacity"; duration: 200; easing.type: Easing.InOutQuad}
             }
         ]


}



