import QtQuick 1.0
import "../kits"

UIViewCT {
    id: destinationWhereDetail
    width: 480
    height: 754
    clip: true
    property Listener backLTN :Listener{
                                   id:backLTN
                                   function recieveOnClick(){
                                       console.log("navCt ="+navCt);
                                       navCt.popVCT();
                                   }
                               }
    property Listener closeLTN :Listener{
                                   id:closeLTN
                                   function recieveOnClick(){
                                       console.log("close");
                                       Qt.quit();
                                   }
                               }


    property int desId;
    property string desName;
    property string desType;
    property int placeId;
    property string name;
    property string subHeader;
    property string detail
    property string email;
    property string fax;
    property string www;
    property string thumbnail;
    property string startTime;
    property string endTime;
    property string lat;
    property string lng;
    property string phone;
    property string address;
    property string picGroup: "";
    property string picture:splitImage(picGroup);

    function splitImage(text){
            var temp = text.split(/\n/)
            for(var i=0;i<temp.length;i++){
                temp[i] = temp[i].replace("        ","")
                console.log("text["+i+"]"+temp[i])
            }
            return "http://amazingthailand.23perspective.com/"+temp[1]
    }
    Rectangle {
    id: aboutDetail
    width: parent.width
    height: parent.height
    color: "#00000000"
    clip: true

    Image {
        id: image1
        x: 0
        y: 0
        width: parent.width
        height: parent.height
        clip: false
        Image {
            id: image2
            x: 0
            y: 0
            width: parent.width
            height: parent.height
            anchors.top: parent.top
            anchors.topMargin: 0
            Image {
                id: image4
                x: 47
                y: 214
                width: 389
                height: 337
                anchors.horizontalCenter: parent.horizontalCenter
                source: "../resource/destination/plane.png"
                anchors.verticalCenter: parent.verticalCenter
            }
            source: "../resource/destination/bg-blue.png"
        }
        source: "../resource/home/main-bg.png"
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
    }
    Image {
        id: image5
        x: 0
        y: 0
        width: 480
        height: 176
        sourceSize.height: 176
        sourceSize.width: 480
        source: "../resource/destination/detail.png"
        fillMode: Image.Stretch

        Text {
            id: aboutHead
            width: 300
            color: "#ffffff"
            text: name
            font.pixelSize: 32
            anchors.left: parent.left
            anchors.leftMargin: 20
            anchors.verticalCenter: parent.verticalCenter
            wrapMode: Text.WordWrap
            style: Text.Normal
            font.bold: true
            font.family: "MS Sans Serif"
        }

    }


    Rectangle {
        id: rectangle1
        x: 0
        width: 480
        height: 578
        color: "#00000000"
        anchors.top: image5.bottom
        anchors.topMargin: 0
        Scrollable {
            id: scrollable1
            color: "#00000000"
            Image {
                id: desPic
                width: 440
                anchors.top: parent.top
                anchors.topMargin: 20
                anchors.horizontalCenter: parent.horizontalCenter
                source: picture
                fillMode: Image.PreserveAspectFit

            }

            Rectangle {
                id: line1
                height: 1
                anchors.top: desPic.bottom
                border.color: "#a9a9a9"
                anchors.topMargin: 20
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }



            Text {
                id: descTXT
                width: 450
                text: detail
                font.pointSize: 14
                anchors.top: line1.bottom
                anchors.topMargin: 5
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                font.family: "MS Sans Serif"
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Rectangle{
                id: timeObj
                x: 0
                width: 480
                anchors.top: descTXT.bottom
                anchors.topMargin: 0
                height: (timeObj.visible)?lineTrain1.height+iconMiniTrain.height+contactTXT.height:0
                visible: startTime!="" && endTime!=""
                color: "#00000000"

                Rectangle{
                    id: lineTrain1
                    height: 1
                    border.color: "darkgray"
                    anchors.top: parent.top
                    anchors.topMargin: 20
                    anchors.right: parent.right
                    anchors.rightMargin: 20
                    anchors.left: parent.left
                    anchors.leftMargin: 20

                }

                Image {
                    id: iconMiniTrain
                    x: 20
                    width: 18
                    height: 18
                    anchors.top: lineTrain1.bottom
                    anchors.topMargin: 5
                    source: "../resource/destination/detail/icon-time.png"
                }

                Text {
                    id: trainHead
                    anchors.left: iconMiniTrain.right
                    anchors.leftMargin: 10
                    anchors.top: lineTrain1.bottom
                    anchors.topMargin: 5
                    text: "Operating time: "
                    font.pointSize: 12
                    font.bold: true
                    verticalAlignment: Text.AlignVCenter
                    font.family: "MS Sans Serif"
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                }
                Text {
                    id: contactTXT
                    x: 109
                    width: 280
                    text: startTime +"-"+ endTime
                    font.pointSize: 12
                    horizontalAlignment: Text.AlignLeft
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                    anchors.left: trainHead.right
                    anchors.leftMargin: 10
                    anchors.top: lineTrain1.bottom
                    anchors.topMargin: 5
                }

            }

            Rectangle{
                id: phoneObj
                x: 0
                width: 480
                height: (phoneObj.visible)?lineTrain1.height+iconMiniPhone.height+phoneTXT.height:0
                visible: phone!=""
                color: "#00000000"
                anchors.top: timeObj.bottom
                anchors.topMargin: 0

                Rectangle{
                    id: linePhone1
                    height: 1
                    border.color: "darkgray"
                    anchors.top: parent.top
                    anchors.topMargin: 20
                    anchors.right: parent.right
                    anchors.rightMargin: 20
                    anchors.left: parent.left
                    anchors.leftMargin: 20

                }

                Image {
                    id: iconMiniPhone
                    x: 20
                    width: 12
                    height: 22
                    anchors.top: linePhone1.bottom
                    anchors.topMargin: 5
                    source: "../resource/destination/detail/icon-phone.png"
                }

                Text {
                    id: phoneHead
                    anchors.left: iconMiniPhone.right
                    anchors.leftMargin: 10
                    anchors.top: linePhone1.bottom
                    anchors.topMargin: 5
                    text: "Tel: "
                    font.pointSize: 12
                    font.bold: true
                    verticalAlignment: Text.AlignVCenter
                    font.family: "MS Sans Serif"
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                }

                Text {
                    id: phoneTXT
                    x: 109
                    width: 280
                    text: phone
                    font.pointSize: 12
                    horizontalAlignment: Text.AlignLeft
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                    anchors.top: linePhone1.bottom
                    anchors.topMargin: 5
                    anchors.left: phoneHead.right
                    anchors.leftMargin: 10
                }

            }

            Rectangle{
                id: addressObj
                x: 0
                width: 480
                height: (addressObj.visible)?lineTrain1.height+iconMiniAddress.height+whereTXT.height:0
                visible: address!=""
                color: "#00000000"
                anchors.top: phoneObj.bottom
                anchors.topMargin: 0

                Rectangle{
                    id: lineAddress1
                    height: 1
                    border.color: "darkgray"
                    anchors.top: parent.top
                    anchors.topMargin: 20
                    anchors.right: parent.right
                    anchors.rightMargin: 20
                    anchors.left: parent.left
                    anchors.leftMargin: 20

                }

                Image {
                    id: iconMiniAddress
                    x: 20
                    width: 18
                    height: 18
                    anchors.top: lineAddress1.bottom
                    anchors.topMargin: 5
                    source: "../resource/destination/detail/icon-address.png"
                }

                Text {
                    id: addressHead
                    anchors.left: iconMiniAddress.right
                    anchors.leftMargin: 10

                    anchors.top: lineAddress1.bottom
                    anchors.topMargin: 5
                    text: "Address : "
                    font.pointSize: 12
                    font.bold: true
                    verticalAlignment: Text.AlignTop
                    font.family: "MS Sans Serif"
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                }
                Text {
                    id: whereTXT
                    width: 280
                    text: address
                    anchors.left: addressHead.right
                    anchors.leftMargin: 10
                    font.pointSize: 12
                    horizontalAlignment: Text.AlignLeft
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                    anchors.top: lineAddress1.bottom
                    anchors.topMargin: 5
                }


            }
            clip: true
            scrollbarWidth: 3
            anchors.fill: parent
            contentWidth: 480
            hideScrollBarsWhenStopped: true
            contentHeight: desPic.height+descTXT.height+timeObj.height+phoneObj.height+addressObj.height+100
            flickableDirection: Flickable.VerticalFlick
        }
    }

}






}
