import QtQuick 1.0
import "../kits"
import "../kits/section"

Rectangle {
    id: destinationWhereList
    width: 480
    height: 577
    color: "#00000000"
    clip: true

    property bool loading: true;
    property Listener backLTN :Listener{
                                   id:backLTN
                                   function recieveOnClick(){
                                       console.log("navCt ="+navCt);
                                       navCt.popVCT();
                                   }
                               }
    property Listener closeLTN :Listener{
                                   id:closeLTN
                                   function recieveOnClick(){
                                       console.log("close");
                                       Qt.quit();
                                   }
                               }
    property int desId;
    property string destinationName;
    property string desType;
    property string icon;
    property string menu;
    property int currentType: -1;
    SectionListener{

        id:recommendSectionListener;

        function clickAtIndex(index){ //0,1,2 //best last suggest
            if(currentType == -1) {
                return;
            }
            destinationVCT.setByPassClickSection( index )
            //destinationMenuVCT.currentType = index
            backLTN.recieveOnClick();
            //navCt.popVCT();

        }

    }
    Component.onCompleted: {
        //init();
    }

    property string cat: "wheretogo"
    property string dataOK;
    function init(){

        console.log("destinationWhereList:init()");
        var url = "http://amazingthailand.23perspective.com/whereFeed.php?desid="+desId+"&page="+loadList.page+"&cat="+cat
        var x = new XMLHttpRequest;
        console.log("destinationWhereList:init() url:"+url);
        destinationWhereList.loading=true;
        x.open("POST", url, true);
        x.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
        x.onreadystatechange = function() {
            if (x.readyState == XMLHttpRequest.DONE) {
                dataOK = x.responseText;
                //console.log("dataOK ="+dataOK);
                //console.log("readyState : same? "+loadList.xml == dataOK);
                loadList.xml = dataOK
             }
        }
        x.send();
        return 1;
    }

    XmlListModel {
        id: loadList
        xml:""
        query: "/Where/item"

        property int page: 1
        property int rpp: 25;
        XmlRole { name: "placeId"; query: "@id/string()" }
        XmlRole { name: "desName"; query: "name/string()" }
        XmlRole { name: "sub_header"; query: "sub_header/string()" }
        XmlRole { name: "detail"; query: "detail/string()" }
        XmlRole { name: "email"; query: "email/string()" }
        XmlRole { name: "fax"; query: "fax/string()" }
        XmlRole { name: "www"; query: "www/string()" }
        XmlRole { name: "thumbnail"; query: "thumbnail/string()" }
        XmlRole { name: "date"; query: "date/string()" }
        XmlRole { name: "start_time"; query: "start_time/string()" }
        XmlRole { name: "end_time"; query: "end_time/string()" }
        XmlRole { name: "lat"; query: "lat/string()" }
        XmlRole { name: "lng"; query: "long/string()" }
        XmlRole { name: "phone"; query: "phone/string()" }
        XmlRole { name: "address"; query: "address/string()" }
        XmlRole { name: "picture"; query: "pictures/string()" }


        onStatusChanged: {

            console.log("onStatusChanged status ="+status);
            if(status==XmlListModel.Ready){
                defaultList.addList(loadList);
                destinationWhereList.loading=false;
                defaultList.isError=false;
                //console.log("PromotionXMLListModel source ="+source);
            }else if(status==XmlListModel.Error){
                console.log("XMLListModel Error !!");
                defaultList.isError=true;
                destinationWhereList.loading=false;

            }
        }
    }


    function loadNextPage(){
        console.log("loadList.page :"+loadList.page)
        console.log("defaultList.nextPage :"+defaultList.nextPage)
        var tmpPrePage=loadList.page;
        loadList.page =defaultList.nextPage;
        if(tmpPrePage ==loadList.page){
            //loadList.reload();
        }else{
            destinationWhereList.init();
        }
    }


    function clearList(){
        defaultList.clear();
        defaultList.page= 1
        defaultList.nextPage= 1
        loadList.page = 1
    }
    Rectangle{
        id: whereList
        width: destinationWhereList.width
        height: destinationWhereList.height
        color: "#00000000"

        Image {
            id: image1
            x: 0
            y: 0
            width: 480
            height: 754
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            clip: false
            Image {
                id: image2
                x: 0
                y: 0
                width: parent.width
                height: parent.height
                anchors.top: parent.top
                anchors.topMargin: 0
                Image {
                    id: image4
                    x: 47
                    y: 214
                    width: 389
                    height: 337
                    anchors.horizontalCenter: parent.horizontalCenter
                    source: "../resource/destination/plane.png"
                    anchors.verticalCenter: parent.verticalCenter
                }
                source: "../resource/destination/bg-blue.png"
            }
            source: "../resource/home/main-bg.png"
        }

        Image {
            id: image5
            x: 0
            width: 480
            height: 69
            anchors.top: parent.top
            anchors.topMargin: 0
            Image {
                id: aboutIcon
                x: 15
                y: 10
                width: 39
                height: 39
                anchors.verticalCenter: parent.verticalCenter
                source: icon
            }

            Text {
                id: aboutTitle
                text: menu
                font.pointSize: 17
                font.bold: true
                anchors.verticalCenter: aboutIcon.verticalCenter
                font.family: "MS Sans Serif"
                anchors.leftMargin: 15
                anchors.left: aboutIcon.right
            }
            source: "../resource/destination/item.png"
            MouseArea{
                anchors.fill: parent
                onClicked: console.log("no action")
            }
        }

        ListModel{
            id:defaultList;

            property int page: 1
            property int nextPage: 1
            property bool isError: false;
            property string cateid: destinationWhereList.cat;
            function reloadData(){
                clear();
                nextPage =1;
                loadList.page = nextPage;
                loadList.cate_id = cateid;
                loadList.reload();
            }
            function morePage(){
                loadList.page = nextPage;
            }
            function addList(listXML){
                console.log("addList ="+listXML);
                console.log("total ="+listXML.count);
                for (var i = 0; i< listXML.count;i++){
                    //iconId = loc.newIndex;
                    var ele = listXML.get(i);
                    ele.index =defaultList.count;
                    defaultList.append(ele);
                }

                if(listXML.count <  loadList.rpp){
                    nextPage=-1;
                }else{
                    if(nextPage <=1){
                        nextPage =1;
                    }

                    nextPage++;
                }
                if(count>0){
                    tablelistView.currentIndex = -1
                }
            }
        }
        ListView {
            id: tablelistView
            property int setInit: init();
            function init(){
                tablelistView.currentIndex = -1
                return 1;
            }

            x: 0
            clip: true;
            width: destinationWhereList.width; height: 448
            anchors.top: image5.bottom
            anchors.topMargin: 0
            model: defaultList;
            delegate: DestinationWhereListDelegate {}
            function touchId(placeId,desName,sub_header,detail,email,fax,www,thumbnail,date,start_time,end_time,lat,lng,phone,address,picture){
                //console.log("data: "+placeId,name,sub_header,detail,email,fax,www,thumbnail,date,start_time,end_time,lat,lng,phone,address)

                var component = Qt.createComponent("DestinationWhereDetail.qml");
                var destinationWhereDetailVCT = navCt.createVCTInsideOnRight(component,null);
                destinationWhereDetailVCT.desId = desId
                destinationWhereDetailVCT.desType = desType
                destinationWhereDetailVCT.desName = destinationName
                destinationWhereDetailVCT.name = desName
                destinationWhereDetailVCT.placeId = placeId
                destinationWhereDetailVCT.subHeader = sub_header
                destinationWhereDetailVCT.detail = detail
                destinationWhereDetailVCT.email = email
                destinationWhereDetailVCT.fax = fax
                destinationWhereDetailVCT.www = www
                destinationWhereDetailVCT.thumbnail = thumbnail
                destinationWhereDetailVCT.startTime = start_time
                destinationWhereDetailVCT.endTime = end_time
                destinationWhereDetailVCT.lat = lat
                destinationWhereDetailVCT.lng = lng
                destinationWhereDetailVCT.phone = phone
                destinationWhereDetailVCT.address =address
                destinationWhereDetailVCT.picGroup = picture;
                //destinationWhereDetailVCT.chkBookmark();
            }
            highlight: Component {
                Image {
                    id: filterHover
                    width: 480; height: 113
                    x: 0
                    z: -5
                    //y: tablelistView.currentItem.y
                    fillMode: Image.Stretch
                    source: "../resource/destination/bluetab_113.png"
                    //color: "#000142"
                    Behavior on y {
                        SpringAnimation {
                            spring: 3
                            damping: 0.2
                        }
                    }
                }
            }
            footer: LoadANTFooter{
                allList: defaultList;
                isError: defaultList.isError;
                loading: destinationWhereList.loading;
                function getMore(){
                    destinationWhereList.loadNextPage();
                }
            }
        }

        SectionView{
            id:sectionRecommend;
            x:0
            y:520
            width: 480
            height: 60
            color: "#00000000"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            sectionDelegate: recommendSectionListener;
            anchors.horizontalCenter: whereList.horizontalCenter
            function sectionViewInit(){
                sectionRecommend.sectionDelegate =recommendSectionListener;
                var topTen = addSection();
                topTen.setImage("../../resource/destination/detail/top10.png",
                                "../../resource/destination/detail/top10-hover.png");
                topTen.width = 240
                topTen.height = 60
                var allDest = addSection();
                allDest.setImage("../../resource/destination/detail/89des.png",
                                 "../../resource/destination/detail/89des-hover.png");
                allDest.width = 240
                allDest.height = 60
                return 1;
            }
        }
    }
    states: [
             State {
                 name: "FADEIN"
                 PropertyChanges { target: whereList; x: 0; y: 0;}
                 //PropertyChanges { target: ajaxLoad; x: 160; y: 263; }

                 PropertyChanges {
                     target: destinationWhereList
                     color: "#00000000"
                 }
             },
             State {
                 name: "FADEOUT"
                 PropertyChanges { target: whereList; x: 480; y: 0; color: "#00000000" }
                 //PropertyChanges { target: ajaxLoad; x: 360; y: 197 }

                 PropertyChanges {
                     target: destinationWhereList
                     border.color: "#00000000"
                 }
             }
         ]
    transitions: [
             Transition {
                 NumberAnimation { properties: "x,y,opacity"; duration: 200; easing.type: Easing.InOutQuad}
             }
         ]

}
