import QtQuick 1.0

Rectangle {
    id: destinations
    width: 480
    height: 651
    property int currentType: 1;
    property bool loading: destinationXML.status ==XmlListModel.Loading;
    //http://www.amazingthailand.23perspective.com/destination.php?cat=topten
    //http://amazingthailand.23perspective.com/destination.php?desname=az

    DestinationsXML{
        id: destinationXML
        onStatusChanged: {
            if(status==XmlListModel.Ready){
                   defaultList.addList(destinationXML);
            }else{
                if(status==XmlListModel.Error){
                    console.log("XMLListModel Error !!");
                }
            }
        }
    }

    ListModel{
        id:defaultList;
        function addList(listXML){
            console.log("addList ="+listXML);
            console.log("total ="+listXML.count);
            for (var i = 0; i< listXML.count;i++){
                //iconId = loc.newIndex;
                var ele = listXML.get(i);
                ele.index =defaultList.count;
                defaultList.append(ele);
            }
            if(count>0){
                tablelistView.currentIndex = -1
            }
        }
    }
    ListView {
        id: tablelistView
        width: destinations.width; height: destinations.height
        model: defaultList;
        delegate: DestinationsDelegate {}
        function touchId(desId,desName,lat,lng){
            var component = Qt.createComponent("DestinationMenu.qml");
            var destinationMenuVCT= navCt.createVCTInsideOnRight(component,null);
            destinationMenuVCT.destinationName = desName;
            destinationMenuVCT.destinationId = desId;
            destinationMenuVCT.currentType = destinations.currentType
            destinationMenuVCT.lat = lat
            destinationMenuVCT.lng = lng
        }
        highlight: Component {
             id: highlight
             Image {
                 id: filterHover
                 width: 480; height: 113
                 x: 0
                 z:-5
                 //y: tablelistView.currentItem.y
                 fillMode: Image.Stretch
                 source: "../resource/destination/bluetab_113.png"
                 Behavior on y {
                     SpringAnimation {
                         spring: 3
                         damping: 0.2
                     }
                 }
             }
         }
    }
}
