import QtQuick 1.0
import "date.js" as DATEJS
Image {
    id: container
    x: 0
    y: 0
    width: 360
    height: parent.height
    anchors.bottom: parent.bottom
    anchors.bottomMargin: 0
    source: "../resource/coupon/BG_tran.png"
   //property int start:init();
    property alias day : root.day
    property alias month: root.month
    property alias year: root.year
    //property alias pickdate;
    signal donePickDate()
    MouseArea {
        anchors.fill: parent
    }
    Rectangle {
        id: root
        width: 360
        height: 290
        color: "#00000000"
        property int start:init();
        property string day
        property string month
        property string year
        property variant pickdate;
        anchors.bottom: parent.bottom
        onPickdateChanged: {
        }

        onDayChanged: {
            for(var i =0; i< dateModel.count;i++){
                if(day == dateModel.get(i).value){
                    dateList.currentIndex = i;
                }
            }
        }
        onMonthChanged: {
            for(var i =0; i< monthModel.count;i++){
                if(month == monthModel.get(i).value){
                    monthList.currentIndex = i;
                }
            }
        }
        onYearChanged: {
            for(var i =0; i< yearModel.count;i++){
                if(year == yearModel.get(i).value){
                    yearList.currentIndex = i;
                }
            }
        }

        ListModel{
            id: dateModel

        }
        ListModel{
            id: monthModel
        }
        ListModel{
            id: yearModel
        }

        function init(){
            var temp;
            var today = new Date()
            var nowyear = today.getFullYear();
            for(var i = 1 ;i<=31;i++){
                //console.log(i);
                dateModel.append({ "date": i,
                                 "value": (i<=9)? "0"+i:i
                                 });
            }
            for(i = 1;i<=12;i++){
                //console.log(i);
                if(i==1)temp = "January"
                else if(i==2)temp = "February"
                else if(i==3)temp = "March"
                else if(i==4)temp = "April"
                else if(i==5)temp = "May"
                else if(i==6)temp = "June"
                else if(i==7)temp = "July"
                else if(i==8)temp = "August"
                else if(i==9)temp = "September"
                else if(i==10)temp = "October"
                else if(i==11)temp = "November"
                else if(i==12)temp = "December"
                monthModel.append({ "month": (i<=9)? "0"+i:i,
                                 "value": temp
                                 });
            }
            for(i = nowyear;i>= 1920;i--){
                yearModel.append({ "year": i,
                                 "value": i
                                 });
            }


            return 1;
        }
        Component{
            id: dateDelegate
            Item{
                id: itemList
                height: 35
                width: parent.width

                Text {
                    id: dateTXT
                    x: 10
                    y: 5
                    width: 250; height: 25; color: "#ea0189"; text: value;
                    clip: true; font.bold: true;
                    //lineHeight: 10;
                    wrapMode: Text.WrapAnywhere;
                    font.family: "MS Sans Serif"
                }
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        //itemList.ListView.view.currentIndex = index
                        //console.log(dateModel.get(index).date)
                    }
                }

            }

        }

        Component {
             id: highlight

             Image {
                 width: parent.width; height: 5000
                 id: bg
                 source: "../resource/filtter/filter_hover_slice.png"
                 fillMode: Image.Stretch
                 y: dateList.currentItem.y
                 Behavior on y {
                     SpringAnimation {
                         //spring: 3
                         damping: 0.2
                     }
                 }
             }
         }


        Image {
            id: image2
            x: 0
            y: 50
            width: 360
            height: 240
            source: "../resource/filtter/picker_border.png"
        }

        ListView {
            id: dateList
            property int current: 0
            y: 60
            width: 70
            height: 220
            anchors.left: monthList.right
            anchors.leftMargin: 0
            clip: true
            smooth: true
            model: dateModel;
            delegate: dateDelegate
            //highlight: highlight
            //highlight: Rectangle { color: "yellow" }
            currentIndex: dateList.current
            onCurrentIndexChanged: dateList.current = currentIndex
            preferredHighlightBegin: 95; preferredHighlightEnd: 95
            highlightRangeMode: ListView.StrictlyEnforceRange

        }

        ListView {
            id: monthList
            property int current: 0
            x: 35
            y: 60
            width: 120
            height: 220
            anchors.left: parent.left
            anchors.leftMargin: 36
            clip: true
            smooth: true
            model: monthModel;
            delegate: dateDelegate
            //highlight: highlight
            //highlight: Rectangle { color: "yellow" }
            currentIndex: monthList.current
            onCurrentIndexChanged: monthList.current = currentIndex
            preferredHighlightBegin: 95; preferredHighlightEnd: 95
            highlightRangeMode: ListView.StrictlyEnforceRange

        }

        ListView {
            id: yearList
            property int current: 0
            y: 60
            width: 96
            height: 220
            anchors.left: dateList.right
            anchors.leftMargin: 0
            clip: true
            smooth: true
            model: yearModel;
            delegate: dateDelegate
            //highlight: highlight
            //highlight: Rectangle { color: "yellow" }
            currentIndex: yearList.current
            onCurrentIndexChanged: yearList.current = currentIndex
            preferredHighlightBegin: 95; preferredHighlightEnd: 95
            highlightRangeMode: ListView.StrictlyEnforceRange

        }

        Image {
            id: shadow
            x: 35
            width: 290
            height: 220
            anchors.horizontalCenter: image2.horizontalCenter
            anchors.verticalCenter: image2.verticalCenter
            source: "../resource/filtter/picker_shadow.png"

            Image {
                id: image4
                x: 3
                y: 95
                width: 284
                height: 45
                anchors.top: parent.top
                anchors.topMargin: 95
                source: "../resource/filtter/filter_hover_slice.png"
            }
        }

        Image {
            id: image3
            x: 0
            y: 0
            width: 360
            height: 50
            source: "../resource/filtter/select_date_head.png"
        }

        Image {
            id: image1
            x: 259
            width: 50
            height: 30
            anchors.right: parent.right
            anchors.rightMargin: 20
            anchors.top: parent.top
            anchors.topMargin: 5
            source: "../resource/filtter/btn_filter_done.png"
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    root.day = dateModel.get(dateList.current).value;
                    console.log("day="+dateModel.get(dateList.current).value)
                    root.month = monthModel.get(monthList.current).month;
                    console.log("month="+monthModel.get(monthList.current).month)
                    root.year = yearModel.get(yearList.current).value;
                    console.log("year="+yearModel.get(yearList.current).value)
                    container.donePickDate();
                }
            }
        }

    }

    transitions: [
        Transition { NumberAnimation { properties: "x,y,opacity"; duration: 100; easing.type: Easing.InOutQuad } }
    ]
    states: [
             State {
                 name: "ACTIVE"
                 PropertyChanges { target: container;  y: 0}
                 PropertyChanges { target: container;  opacity: 1}

             },
             State {
                 name: "INACTIVE"
                 PropertyChanges { target: container; y: 1*parent.height }
                 PropertyChanges { target: container;  opacity: 0}
             }
         ]


}
