import QtQuick 1.0
Rectangle {
    id:container
    width: 360
    height: parent.height
    anchors.bottom: parent.bottom
    color: "#00000000"
    property string type: ""//coupon,promotion
    property string country: "thailand"
    property string xmlQuery: (type == "coupon")?"/CouponCategories/Category":"/PromotionCategories/Category"
    property string feedURL: (type == "coupon")?
                                "https://shoppening-production.appspot.com/api/"+type+"/category/?country="+country:
                                 "https://shoppening-production.appspot.com/api/"+type+"/category/?country="+country

    property int cateId: -1;
    property Listener filterLTN;
    onTypeChanged: {
        feedURL= "https://shoppening-production.appspot.com/api/"+type+"/category/?country="+country
    }

    MouseArea {
        anchors.fill: parent
    }
    function removeAllListener(){
        filterLTN = null;
    }

    function show(){
        //console.log("xmlQuery : "+xmlQuery);
       // console.log("feedURL : "+feedURL);
       // console.log("type : "+type);
        container.state ="ACTIVE"
        //removeAllListener();
    }
    function dismiss(){

        container.state ="INACTIVE"
        //removeAllListener();
    }
    function done(_id){
        if(filterLTN != null){
            filterLTN.recieveNTFDone(_id)
        }
        dismiss();
    }
    XmlListModel {
        id: couponCategory
        source: feedURL;
        query: container.xmlQuery

        XmlRole { name: "category_id"; query: "@id/string()" }
        XmlRole { name: "name"; query: "name/string()" }
        onStatusChanged: {
            if(status==XmlListModel.Ready){
                couponCategoryModel.addList(couponCategory);
            }
        }


    }

    ListModel{
        id: couponCategoryModel
        property bool adding: true;
        function addList(listXML){
            adding =true;
            console.log("addList ="+listXML);
            console.log("total ="+listXML.count);
            for (var i = 0; i< listXML.count;i++){
                //iconId = loc.newIndex;
                var ele = listXML.get(i);
                ele.index =couponCategoryModel.count;
                couponCategoryModel.append(ele);
            }
            adding =false;
        }
    }



    Image {
        id: image1
        x: 0
        y: 0
        width: 360
        height: parent.height
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        source: "../resource/coupon/BG_tran.png"
        Rectangle{
            x: 0
            y: 240
            width: 360
            height: 320
            color: "#00000000"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0


            Image {
                id: image4
                x: 0
                y: 1
                width: 360
                height: 50
                source: "../resource/filtter/filter_head.png"

                Image {
                    id: image3
                    x: 283
                    y: 10
                    width: 60
                    height: 30
                    source: "../resource/filtter/btn_filter_done.png"
                    MouseArea{
                        id: donButton
                        anchors.fill: parent
                        onClicked: {
                            cateId = couponCategory.get(filterList.current).category_id
                            parent.parent.parent.chkListSel();
                        }

                    }
                }
            }

            function chkListSel(){
                if(cateId != -1){
                    console.log(cateId)
                    console.log("return form");
                    //do here
                }else{
                    console.log("select List Category")
                }
                container.done(cateId);
            }
            Image {
                id: image2
                x: 0
                y: 50
                width: 360
                height: 270
                source: "../resource/filtter/filter_border.png"


                ListView {
                    id: filterList
                    property int current: 0
                    x: 10
                    y: 15
                    width: 338
                    height: 238
                    clip: true
                    smooth: true
                    model: couponCategoryModel;
                    delegate: filtterDelegate
                    //highlight: highlight
                    currentIndex: filterList.current
                    onCurrentIndexChanged: filterList.current = currentIndex
                    preferredHighlightBegin: 100; preferredHighlightEnd: 100
                    highlightRangeMode: ListView.StrictlyEnforceRange
                }
                Image {
                    id: image5
                    x: 10
                    y: 13
                    width: 340
                    height: 244
                    source: "../resource/filtter/filter_shadow.png"
                }

                Image {
                    id: image6
                    x: 12
                    y: 110
                    width: 338
                    height: 45
                    fillMode: Image.TileHorizontally
                    source: "../resource/filtter/filter_hover_slice.png"
                }
            }
        }
    }

    Component{
        id: filtterDelegate

        Item{
            id: itemList
            height: 40
            width: filterList.width

            Text {
                id: nameTXT
                x: 30
                y: 5
                width: 250; height: 25; color: "black"; text: replaceWord(name);
                clip: true; font.bold: true;
                font.family: "MS Sans Serif"
                //lineHeight: 10;
                wrapMode: Text.WrapAnywhere;
                function replaceWord(xmlText){
                      xmlText = xmlText.replace("amp;","")
                      return xmlText
                }

            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    //itemList.ListView.view.currentIndex = index
                    //cateId = couponCategory.get(index).category_id
                    console.log(couponCategory.get(index).category_id)
                }
            }
        }
    }
    Component {
         id: highlight
         Image {
             id: filterHover
             width: 350; height: 40
             x: -5
             y: filterList.currentItem.y
             source: "../resource/filtter/filter_hover320_45.png"
             fillMode: Image.PreserveAspectCrop
             Behavior on y {
                 SpringAnimation {
                     spring: 3
                     damping: 0.2
                 }
             }
         }
     }


    transitions: [
        Transition { NumberAnimation { properties: "x,y,opacity"; duration: 100; easing.type: Easing.InOutQuad } }
    ]
    states: [
             State {
                 name: "ACTIVE"
                 PropertyChanges { target: container;  y: 0}
                 PropertyChanges { target: container;  opacity: 1}

             },
             State {
                 name: "INACTIVE"
                 PropertyChanges { target: container; y: 1*parent.height }
                 PropertyChanges { target: container;  opacity: 0}
             }
         ]
}
