import QtQuick 1.0

Rectangle {

    id: container
    width: 480
    height: 87
    property bool hasCalledAPI: true;
    property bool isError: false
    property bool loading: false;
    property bool noItem:(allList.count == 0)
    property  QtObject allList;
    visible: (allList.nextPage != -1) || noItem


    BusyIndicator {
        x: 46
        y: 13
        on: true
        anchors.verticalCenterOffset: 0
        anchors.horizontalCenterOffset: -114
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        scale: 0.6
    }

    SpnText {
        id: ntfTextLoading
        x: 0
        y: 0
        visible: loading;
        width: 480
        height: 87
        text: "Loading ..."
        font.pointSize : 16
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
    }


    SpnText {
        id: ntfTextGetMore
        x: 0
        y: 0
        visible: !loading && (! noItem || isError);
        width: 480
        height: 87
        text: (!isError)? "Press to get More ...":"Can not connect to API press to reload ..."
        font.pointSize : 16
        anchors.verticalCenterOffset: 19
        anchors.horizontalCenterOffset: 136

        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter

    }

    SpnText {
        id: ntfTextNoitem
        x: 0
        y: 0
        visible: !loading && (!isError&& noItem) && hasCalledAPI;
        width: 480
        height: 87
        text: "Data not found ..."
        font.pointSize : 16
        anchors.verticalCenterOffset: 19
        anchors.horizontalCenterOffset: 136

        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter

    }
    function getMore(){

    }

    MouseArea{
        anchors.fill: parent
        visible: ntfTextGetMore.visible
        id:touchUpArea
        x: -1
        y: 0
        anchors.rightMargin: 1
        anchors.bottomMargin: 0
        anchors.leftMargin: -1
        anchors.topMargin: 0
        onClicked:{
            getMore();
        }
    }
}
