import QtQuick 1.0
import "../kits"
//import "../menu"
import "UINavScript.js" as NavScript
UIViewCT {
    id: _navCt;
    property bool isHideNavBar: false;

    function viewWillAppear(){
        console.log("NavCT viewWillAppear");
        var vct = NavScript.getVct(NavScript.countVct()-1);
        if(vct!=null){
            vct.viewWillAppear();
        }

    }
    function viewWillDisappear(){
        console.log("NavCT viewWillDisappear");
        var vct = NavScript.getVct(NavScript.countVct()-1);
        if(vct!=null){
            vct.viewWillDisappear();
        }
    }
    onIsHideNavBarChanged: {
        if(isHideNavBar){
            navBar.state = "INACTIVE";
            navFooter.state = "INACTIVE";
        }else{
            navBar.state = "ACTIVE";
            navFooter.state = "ACTIVE";
        }
    }

    UIViewCT{
        id:insideView;
        function pushVCT(vct){_navCt.pushVCT(vct);}
        function popVCT(){ _navCt.popVCT();}
    }

    UINavBar{ id:navBar;}
    //UINavFooter{ id:navFooter; x: 0; y: 620; width: 360 ;height: 20 }
    property QtObject view;
    property UIViewCT outingVct;
    function createVCTInside(component,ltn) {
        var newVCT;
         if (component.status == Component.Ready) {
             newVCT = component.createObject(insideView);
             if(ltn !== null){


                 ltn.createSuccess(newVCT);
             }
             console.log("newVCT.isHideNav ="+newVCT.isHideNav);
             isHideNavBar=newVCT.isHideNav;
             newVCT.y = 1*!isHideNavBar*navBar.height;
             newVCT.pagingIndexX =0;
             //newVCT.myNav = _navCt;

         } else if (component.status == Component.Error) {
             // Error Handling
             console.log("Error loading component:", component.errorString());
         }
         pushVCT(newVCT);
         return newVCT;
     }
    function createVCTInsideOnRight(component,ltn) {
        var newVCT;
         if (component.status == Component.Ready) {
             newVCT = component.createObject(insideView);
             if(ltn !== null){
                 ltn.createSuccess(newVCT);
             }
             console.log("newVCT.isHideNav ="+newVCT.isHideNav);
             isHideNavBar=newVCT.isHideNav;
             newVCT.y = 1*!isHideNavBar*navBar.height;
             newVCT.pagingIndexY =0;
             newVCT.pagingIndexX =0.99;
             //newVCT.myNav = _navCt;

         } else if (component.status == Component.Error) {
             // Error Handling
             console.log("Error loading component:", component.errorString());
         }
         pushVCT(newVCT);
         //newVCT.myNav.obj = _navCt;
         return newVCT;
     }

    function pushVCT(vct){
        pending(300);
        //Create
       // console.log("pushVCT");
        if(NavScript.countVct()>0){
            outingVct=NavScript.getVct(NavScript.countVct()-1);
            outingVct.viewWillDisappear();
        }
        NavScript.pushVCT(vct);
        reloadNavBar();
        vct.viewWillAppear();
    }
    function reloadNavBar(){
        var vct = NavScript.getVct(NavScript.countVct()-1);
        navBar.removeAllListener();
        //console.log("vct.backLTN ="+vct.backLTN);
       // console.log("vct.backLTN ="+(vct.backLTN != null));
        navBar.backLTN = (vct.backLTN != null)?vct.backLTN:null;
        //navBar.signinLTN = (vct.signinLTN != null)?vct.signinLTN:null;
        //navBar.filterLTN = (vct.filterLTN != null)?vct.filterLTN:null;
        //navBar.menuLTN = (vct.menuLTN != null)?vct.menuLTN:null;
        //navBar.locLTN = (vct.locLTN != null)?vct.locLTN:null;
        navBar.closeLTN = (vct.closeLTN != null)?vct.closeLTN:null;
        console.log('navBar.closeLTN : ->'+navBar.closeLTN)
    }

    function popVCT(){
        pending(300);
        if(NavScript.countVct()>0){
            outingVct=NavScript.getVct(NavScript.countVct()-1);
            outingVct.viewWillDisappear();
        }
        NavScript.popVCT();
        var currentVCT =NavScript.getVct(NavScript.countVct()-1);
        currentVCT.viewWillAppear();
        reloadNavBar();
    }
    function popToVCT(vct){
        pending(300);
        NavScript.popToVCT(vct);
        reloadNavBar();
    }
    function createPage(component) {
         if (component.status == Component.Ready) {
             var vct = component.createObject(aPIRequestPage);
         } else if (component.status == Component.Error) {
             // Error Handling
             console.log("Error loading component:", component.errorString());
         }
     }

/*
    */
}
