import QtQuick 1.0
import ".."
import "../../core"
Rectangle {
    color: "#00000000"
    id:container;
    width: 360
    height: 540
    state: "ACTIVE"
    property bool loading: false;//loadList.status ==XmlListModel.Loading;
    property string currentSearchKey: "search"
    clip: true;
    onCurrentSearchKeyChanged: {
        if(currentSearchKey!=""){
            loading =true;
            var results =searchBService.getGuideSearchKey(currentSearchKey);
            //console.log("results = "+results);
            defaultList.setListFromRS(results);
            loading =false;
        }
    }
    BusinessService{
        id:searchBService
    }
    function dismiss(){

    }
    function selectkey(key){

    }

    ListModel{
        id:defaultList;
        property int nextPage: 1
        function morePage(){
            loadList.page = nextPage;
        }
        function setListFromRS(results){
            clear();
            for(var i = 0; i < results.length; i++){
                append(results.item(i));
            }
            //sync();
        }
    }
    Component{
        id: searchCellDelegate;
        Item{
            id: itemList
            height: 35
            width: parent.width

            Text {
                id: nameTXT
                x: 30
                y: 5
                width: 250; height: 25; color: "black"; text: highLight(currentSearchKey,search_key);
                clip: true;
                //lineHeight: 10;
                wrapMode: Text.WrapAnywhere;
                function highLight(hilight,fullText){
                    console.log("b4 = "+fullText);
                    var resultHL = fullText.replace(hilight,"<b>"+hilight+"</b>");
                    console.log("aft = "+resultHL);
                    return resultHL
                }
            }
            Rectangle {
                width: parent.width; height: 1; color: "darkgray"
                anchors.bottom: parent.bottom
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {/*
                    itemList.ListView.view.currentIndex = index
                    cateId = couponCategory.get(index).category_id*/
                    console.log("click index :"+index)
                    itemList.ListView.view.touchId(index);
                }
            }
        }
    }
    DarkScreen {
        anchors.fill: parent;
        function clickme(){
            container.dismiss();
        }
    }
    Rectangle{
        anchors.fill: parent
        visible: (currentSearchKey!="" && defaultList.count >0)
        ListView {
            id: tablelistView
            width: parent.width; height: parent.height
            model: defaultList;
            delegate:searchCellDelegate
            function touchId(atindex){
                console.log("touchId ...."+atindex);
                console.log("search_key ...."+defaultList.get(atindex).search_key);
                container.selectkey(defaultList.get(atindex).search_key);
            }
            footer: LoadANTFooter{
                allList: defaultList;
                loading: container.loading;
                visible: loading
                function getMore(){
                    console.log("getMore ....");
                }
            }
        }
    }


    transitions: [
        Transition { NumberAnimation { properties: "x,y,opacity"; duration: 100; easing.type: Easing.InOutQuad } }
    ]
    states: [
             State {
                 name: "ACTIVE"
                 //PropertyChanges { target: navFooter;  y: 640-1*height}
                 PropertyChanges { target: container;  opacity: 1}
                 StateChangeScript { script: console.log("container ACTIVE"); }

             },
             State {
                 name: "INACTIVE"
                 //PropertyChanges { target: navFooter; y: 640 }
                 PropertyChanges { target: container;  opacity: 0}
                 StateChangeScript { script: console.log("container INACTIVE"); }
             }
         ]
}
